--- old/usr/src/man/man3c/btowc.3c	Sun Jun 29 11:51:55 2014
+++ new/usr/src/man/man3c/btowc.3c	Sun Jun 29 11:51:55 2014
@@ -8,7 +8,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH BTOWC 3C "Jul 24, 2002"
+.TH BTOWC 3C "Jun 27, 2014"
 .SH NAME
 btowc, btowc_l \- single-byte to wide-character conversion
 .SH SYNOPSIS
@@ -18,24 +18,26 @@
 #include <wchar.h>
 
 \fBwint_t\fR \fBbtowc\fR(\fBint\fR \fIc\fR);
-\fBwint_t\fR \fBbtowc_l\fR(\fBint\fR \fIc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
+.LP
+.nf
+#include <stdio.h>
+#include <wchar.h>
+#include <xlocale.h>
 
+\fBwint_t\fR \fBbtowc_l\fR(\fBint\fR \fIc\fR, \fBlocale_t\fR \fIloc\fR);
+.fi
 .SH DESCRIPTION
-.sp
 .LP
 The \fBbtowc()\fR and \fBbtowc_l\fR()functions determines whether
 \fIc\fR constitutes a valid (one-byte) character in the initial shift
 state.
-.sp
 .LP
-The behavior of \fBbtowc\fR is affected by the \fBLC_CTYPE\fR category of the
-current locale.  See \fBenviron\fR(5). The function \fBbtowc_l\fR does
-not use the current locale, and instead operates on the locale \fIloc\fR
-provided to the function, obtained through a call to
-\fBnewlocale\fR(3C).
+The behavior of \fBbtowc()\fR is affected by the \fBLC_CTYPE\fR category of the
+current locale.  See \fBenviron\fR(5). The function \fBbtowc_l()\fR does
+not use the current locale, and instead operates on the locale 
+specified by \fIloc\fR.
 .SH RETURN VALUES
-.sp
 .LP
 The \fBbtowc()\fR function returns \fBWEOF\fR if \fIc\fR has the value
 \fBEOF\fR or if  \fB(unsigned char)\fR\fIc\fR does not constitute a valid
@@ -42,16 +44,11 @@
 (one-byte) character in the initial shift state.  Otherwise, it returns the
 wide-character representation of that character.
 .SH ERRORS
-.sp
 .LP
 No errors are defined.
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
 .TS
 box;
 c | c
@@ -58,18 +55,19 @@
 l | l .
 ATTRIBUTE TYPE	ATTRIBUTE VALUE
 _
-Interface Stability	Standard
+Interface Stability	See below.
 _
-MT-Level	MT-Safe with exceptions
+MT-Level	MT-Safe
 .TE
 
+.LP
+The
+.B btowc()
+function is Standard.  The
+.B btowc_l()
+function is Uncommitted.
 .SH SEE ALSO
 .sp
 .LP
 \fBnewlocale\fR(3C), \fBsetlocale\fR(3C), \fBuselocale\fR(3C), \fBwctob\fR(3C),
 \fBattributes\fR(5), \fBenviron\fR(5), \fBstandards\fR(5)
-.SH NOTES
-.sp
-.LP
-The \fBbtowc()\fR function can be used safely in multithreaded applications, as
-long as \fBsetlocale\fR(3C) is not being called to change the locale.
--- old/usr/src/man/man3c/ctype.3c	Sun Jun 29 11:51:58 2014
+++ new/usr/src/man/man3c/ctype.3c	Sun Jun 29 11:51:58 2014
@@ -1,5 +1,5 @@
 '\" te
-.\" Copyright 2013 Garrett D'Amore <garrett@damore.org>
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\" Copyright 1989 AT&T.  Copyright (c) 1992, X/Open Company Limited  All Rights Reserved.  Portions Copyright (c) 2005, Sun Microsystems, Inc.  All Rights Reserved.
 .\" Sun Microsystems, Inc. gratefully acknowledges The Open Group for permission to reproduce portions of its copyrighted documentation. Original documentation from The Open Group can be obtained online at
 .\" http://www.opengroup.org/bookstore/.
@@ -8,7 +8,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH CTYPE 3C "Sep 18, 2013"
+.TH CTYPE 3C "Jun 27, 2014"
 .SH NAME
 ctype, isalpha, isalnum, isascii, isblank, iscntrl, isdigit, islower,
 isprint, isspace, isupper, ispunct, isgraph, isxdigit, isalpha_l,
@@ -21,124 +21,99 @@
 
 \fBint\fR \fBisalpha\fR(\fBint\fR \fIc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBisalnum\fR(\fBint\fR \fIc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBisascii\fR(\fBint\fR \fIc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBisblank\fR(\fBint\fR \fIc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBiscntrl\fR(\fBint\fR \fIc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBisdigit\fR(\fBint\fR \fIc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBisgraph\fR(\fBint\fR \fIc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBislower\fR(\fBint\fR \fIc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBisprint\fR(\fBint\fR \fIc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBispunct\fR(\fBint\fR \fIc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBisspace\fR(\fBint\fR \fIc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBisupper\fR(\fBint\fR \fIc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBisxdigit\fR(\fBint\fR \fIc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBisalpha_l\fR(\fBint\fR \fIc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBisalnum_l\fR(\fBint\fR \fIc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBisblank_l\fR(\fBint\fR \fIc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBiscntrl_l\fR(\fBint\fR \fIc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBisdigit_l\fR(\fBint\fR \fIc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBisgraph_l\fR(\fBint\fR \fIc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBislower_l\fR(\fBint\fR \fIc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBisprint_l\fR(\fBint\fR \fIc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBispunct_l\fR(\fBint\fR \fIc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBisspace_l\fR(\fBint\fR \fIc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBisupper_l\fR(\fBint\fR \fIc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .SH DESCRIPTION
-.sp
 .LP
 These functions classify character-coded integer values. Each is a
 predicate returning non-zero for true, \fB0\fR for false. The behavior
@@ -149,7 +124,6 @@
 or in a locale where character type information is not defined,
 characters are classified according to the rules of the \fBUS-ASCII\fR
 7-bit coded character set.
-.sp
 .LP
 The functions \fBisalnum_l()\fR, \fBisalpha_l()\fR, \fBisblank_l()\fR,
 \fBiscntrl_l\fR, \fBisdigit_l()\fR, \fBislower_l()\fR,
@@ -158,7 +132,6 @@
 the '\fB_l\fR' prefix, except that instead of acting on the current
 locale, that perform the test on the locale specified in the argument
 \fIloc\fR.
-.sp
 .LP
 The \fBisascii()\fR macro is defined on all integer values. The rest are
 defined only where the argument is an \fBint\fR, the value of which is
@@ -315,36 +288,30 @@
 .RE
 
 .SH RETURN VALUES
-.sp
 .LP
 If the argument to any of the character handling macros is not in the domain of
 the function, the result is undefined. Otherwise, the macro or function returns
 non-zero if the classification is \fBTRUE\fR and \fB0\fR if the classification
 is \fBFALSE\fR.
-.SH USAGE
-.sp
-.LP
-These macros or functions can be used safely in multithreaded applications, as
-long as \fBsetlocale\fR(3C) is not being called to change the locale.
 .SH ATTRIBUTES
 .sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
 .TS
 box;
-l l
-l l .
+c | c
+l | l .
 ATTRIBUTE TYPE	ATTRIBUTE VALUE
+_
 CSI	Enabled
+_
 Interface Stability	Standard
-MT-Level	MT-Safe with exceptions
+_
+MT-Level	MT-Safe
 .TE
 
 .SH SEE ALSO
-.sp
 .LP
-\fBsetlocale\fR(3C), \fBstdio\fR(3C), \fBascii\fR(5), \fBenviron\fR(5),
+\fBnewlocale\fR(3C), \fBsetlocale\fR(3C), \fBuselocale\fR(3C),
+\fBstdio\fR(3C), \fBascii\fR(5), \fBenviron\fR(5),
 \fBstandards\fR(5)
--- old/usr/src/man/man3c/fgetwc.3c	Sun Jun 29 11:52:00 2014
+++ new/usr/src/man/man3c/fgetwc.3c	Sun Jun 29 11:52:00 2014
@@ -1,4 +1,5 @@
 '\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\" Copyright (c) 2003, X/Open Company Limited.  All Rights Reserved.  Portions Copyright (c) 1996, Sun Microsystems, Inc.  All Rights Reserved.
 .\" Sun Microsystems, Inc. gratefully acknowledges The Open Group for permission to reproduce portions of its copyrighted documentation. Original documentation from The Open Group can be obtained online at
 .\" http://www.opengroup.org/bookstore/.
@@ -7,7 +8,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH FGETWC 3C "Oct 15, 2003"
+.TH FGETWC 3C "Jun 24, 2014"
 .SH NAME
 fgetwc, fgetwc_l \- get a wide-character code from a stream
 .SH SYNOPSIS
@@ -16,28 +17,32 @@
 #include <stdio.h>
 #include <wchar.h>
 
-\fBwint_t\fR \fBfgetwc\fR(\fBFILE*\fR\fIstream\fR);
-\fBwint_t\fR \fBfgetwc_l\fR(\fBFILE*\fR\fIstream\fR, \fBlocale_t\fR, \fIloc\fR);
+\fBwint_t\fR \fBfgetwc\fR(\fBFILE *\fR\fIstream\fR);
 .fi
+.LP
+.nf
+#include <stdio.h>
+#include <wchar.h>
+#include <xlocale.h>
 
+\fBwint_t\fR \fBfgetwc_l\fR(\fBFILE *\fR\fIstream\fR, \fBlocale_t\fR, \fIloc\fR);
+.fi
+
 .SH DESCRIPTION
 .sp
 .LP
-The \fBfgetwc()\fR and \fBfgetwc_l\fR functions obtains the next
+The \fBfgetwc()\fR and \fBfgetwc_l()\fR functions obtain the next
 character (if present) from the input stream pointed to by \fIstream\fR,
-converts that to the corresponding wide-character code and advances the
-associated file position indicator for the stream (if defined). As
-opposed to using the current locale as determined by \fBsetlocale\fR(3C)
-and \fBuselocale\fR(3C), \fRfgetwc_l()\fR uses the locale passed in as
-\fBloc\fR.
-
-.sp
+convert that to the corresponding wide-character code and advance the
+associated file position indicator for the stream (if defined).
+Whereas \fBfgetwc()\fR uses the current locale, \fBfgetwc_l()\fR uses the
+locale specified by \fIloc\R.
 .LP
 If an error occurs, the resulting value of the file position indicator for the
 stream is indeterminate.
-.sp
 .LP
-The \fBfgetwc()\fR and \fBfgetwc_l\fR functions may mark the \fBst_atime\fR field of the file
+The \fBfgetwc()\fR and \fBfgetwc_l()\fR functions may mark the \fBst_atime\fR
+field of the file
 associated with \fIstream\fR for update. The \fBst_atime\fR field will be
 marked for update by the first successful execution of \fBfgetwc()\fR,
 \fBfgetc\fR(3C), \fBfgets\fR(3C), \fBfgetws\fR(3C), \fBfread\fR(3C),
@@ -45,115 +50,62 @@
 \fBscanf\fR(3C) using \fIstream\fR that returns data not supplied by a prior
 call to \fBungetc\fR(3C) or \fBungetwc\fR(3C).
 .SH RETURN VALUES
-.sp
 .LP
-Upon successful completion both functions returns the
+Upon successful completion both functions return the
 wide-character code of the character read from the input stream pointed to by
 \fIstream\fR converted to a type \fBwint_t\fR.
-.sp
 .LP
 For standard-conforming (see \fBstandards\fR(5)) applications, if the
 end-of-file indicator for the stream is set, \fBfgetwc()\fR and
-\fBfgetwc_l()\fR returns \fBWEOF\fR whether or not the stream is at
+\fBfgetwc_l()\fR return \fBWEOF\fR whether or not the stream is at
 end-of-file.
-.sp
 .LP
 If a read error occurs, the error indicator for the stream is set,
 \fBfgetwc()\fR and \fBfgetwc_l()\fR returns \fBWEOF\fR and sets
 \fBerrno\fR to indicate the error.
-.sp
 .LP
 If an encoding error occurs, the error indicator for the stream is set,
-\fBfgetwc()\fR and \fBfgetwc_l()\fRreturns \fBWEOF\fR, and \fBerrno\fR is set to indicate the
-error.
+\fBfgetwc()\fR and \fBfgetwc_l()\fR return \fBWEOF\fR, and \fBerrno\fR is
+set to indicate the error.
 .SH ERRORS
-.sp
 .LP
-The \fBfgetwc()\fR and \fBfgetwc_l\fR functions will fail if data needs to be read and:
-.sp
-.ne 2
-.na
-\fB\fBEAGAIN\fR\fR
-.ad
-.RS 14n
+The \fBfgetwc()\fR and \fBfgetwc_l()\fR functions will fail if data needs to be
+read and:
+.TP
+.B EAGAIN
 The \fBO_NONBLOCK\fR flag is set for the file descriptor underlying
 \fIstream\fR and the process would be delayed in the \fBfgetwc()\fR or
-\fB fgetwc_l()\fR operation.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBEBADF\fR\fR
-.ad
-.RS 14n
+\fBfgetwc_l()\fR operation.
+.TP
+.B EBADF
 The file descriptor underlying \fIstream\fR is not a valid file descriptor open
 for reading.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBEINTR\fR\fR
-.ad
-.RS 14n
+.TP
+.B EINTR
 The read operation was terminated due to the receipt of a signal, and no data
 was transferred.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBEIO\fR\fR
-.ad
-.RS 14n
+.TP
+.B EIO
 A physical I/O error has occurred, or the process is in a background process
 group attempting to read from its controlling terminal and either the process
 is ignoring or blocking the \fBSIGTTIN\fR signal or the process group is
 orphaned.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBEOVERFLOW\fR \fR
-.ad
-.RS 14n
+.TP
+.B EOVERFLOW
 The file is a regular file and an attempt was made to read at or beyond the
 offset maximum associated with the corresponding  \fIstream\fR.
-.RE
-
-.sp
 .LP
 The \fBfgetwc()\fR and \fBfgetwc_l()\fR functions may fail if:
-.sp
-.ne 2
-.na
-\fB\fBENOMEM\fR\fR
-.ad
-.RS 10n
-Insufficient storage space is available.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBENXIO\fR\fR
-.ad
-.RS 10n
+.TP
+.B ENOMEM
+Insufficient memory is available.
+.TP
+.B ENXIO
 A request was made of a non-existent device, or the request was outside the
 capabilities of the device.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBEILSEQ\fR\fR
-.ad
-.RS 10n
+.TP
+.B EILSEQ
 The data obtained from the input stream does not form a valid character.
-.RE
-
 .SH USAGE
 .sp
 .LP
@@ -163,27 +115,30 @@
 .sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
 .TS
 box;
-l | l
+c | c
 l | l .
 ATTRIBUTE TYPE	ATTRIBUTE VALUE
 _
 CSI	Enabled
 _
-Interface Stability	Standard
+Interface Stability	See below.
 _
-MT-Level	MT-Safe with exceptions
+MT-Level	MT-Safe
 .TE
 
+.LP
+The
+.B fgetwc()
+function is Standard.  The
+.B fgetwc_l()
+function is Uncommitted.
 .SH SEE ALSO
-.sp
 .LP
 \fBfeof\fR(3C), \fBferror\fR(3C), \fBfgetc\fR(3C), \fBfgets\fR(3C),
 \fBfgetws\fR(3C), \fBfopen\fR(3C), \fBfread\fR(3C), \fBfscanf\fR(3C),
 \fBgetc\fR(3C), \fBgetchar\fR(3C), \fBgets\fR(3C), \fBscanf\fR(3C),
-\fBsetlocale\fR(3C), \fBungetc\fR(3C), \fBungetwc\fR(3C), \fBattributes\fR(5),
+\fBnewlocale\fR(3C), \fBsetlocale\fR(3C), \fBungetc\fR(3C), \fBungetwc\fR(3C),
+\fBuselocale\fR(3C), \fBattributes\fR(5),
 \fBstandards\fR(5)
--- old/usr/src/man/man3c/getwc.3c	Sun Jun 29 11:52:00 2014
+++ new/usr/src/man/man3c/getwc.3c	Sun Jun 29 11:52:00 2014
@@ -17,6 +17,12 @@
 #include <wchar.h>
 
 \fBwint_t\fR \fBgetwc\fR(\fBFILE\fR \fI*stream\fR);
+.fi
+.LP
+.nf
+#include <stdio.h>
+#include <wchar.h>
+#include <xlocale.h>
 \fBwint_t\fR \fBgetwc_l\fR(\fBFILE\fR \fI*stream\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
 
@@ -25,36 +31,29 @@
 .LP
 The \fBgetwc()\fR function is equivalent to \fBfgetwc\fR(3C), except that if it
 is implemented as a macro it may evaluate \fIstream\fR more than once, so the
-argument should never be an expression with side effects. The
-\fBgetwc_l\fR function is similar to \fBfgetwc\fR, except instead of
-acting on the current locale as specified by \fBsetlocale\fR(3C) and
-\fBuselocale\fR(3C), it uses the locale specified by \fIloc\fR.
+argument should never be an expression with side effects.
+.LP
+The \fBgetwc_l()\fR function is similar to \fBgetwc()\fR, except instead of
+acting on the current locale, it uses the locale specified by \fIloc\fR.
 .SH RETURN VALUES
-.sp
 .LP
 Refer to \fBfgetwc\fR(3C).
 .SH ERRORS
-.sp
 .LP
 Refer to \fBfgetwc\fR(3C).
 .SH USAGE
-.sp
 .LP
 This interface is provided to align with some current implementations and with
 possible future \fBISO\fR standards.
-.sp
 .LP
-Because it may be implemented as a macro, \fBgetwc()\fR may treat incorrectly a
-\fIstream\fR argument with side effects.  In particular,
-\fBgetwc\fR(*\fIf\fR\|++) may not work as expected.  Therefore, use of this
-function is not recommended; \fBfgetwc\fR(3C) should be used instead.
+Because they may be implemented as macros, these functions may treat incorrectly
+a \fIstream\fR argument with side effects.  In particular,
+\fBgetwc\fR(*\fIf\fR\|++) may not work as expected.  Therefore, use of these
+functions is not recommended; \fBfgetwc\fR(3C) and \fBfgetwc_l\fR(3C)
+should be used instead.
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
 .TS
 box;
 c | c
@@ -61,12 +60,18 @@
 l | l .
 ATTRIBUTE TYPE	ATTRIBUTE VALUE
 _
-Interface Stability	Standard
+Interface Stability	See below.
 _
 MT-Level	MT-Safe
 .TE
 
+.LP
+The
+.B getwc()
+function is Standard.  The
+.B getwc_l()
+function is Uncommitted.
 .SH SEE ALSO
-.sp
 .LP
-\fBfgetwc\fR(3C), \fBsetlocale\fR(3C), \fBuselocale\fR(3C), \fBattributes\fR(5), \fBstandards\fR(5)
+\fBfgetwc\fR(3C), \fBnewlocale\fR(3C), \fBsetlocale\fR(3C), \fBuselocale\fR(3C),
+\fBattributes\fR(5), \fBstandards\fR(5)
--- old/usr/src/man/man3c/iswalpha.3c	Sun Jun 29 11:52:01 2014
+++ new/usr/src/man/man3c/iswalpha.3c	Sun Jun 29 11:52:01 2014
@@ -1,4 +1,5 @@
 '\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\" Copyright (c) 1992, X/Open Company Limited.  All Rights Reserved.  Portions Copyright (c) 2004, Sun Microsystems, Inc.  All Rights Reserved.
 .\" Sun Microsystems, Inc. gratefully acknowledges The Open Group for permission to reproduce portions of its copyrighted documentation. Original documentation from The Open Group can be obtained online at
 .\" http://www.opengroup.org/bookstore/.
@@ -7,7 +8,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH ISWALPHA 3C "Apr 19, 2004"
+.TH ISWALPHA 3C "Jun 23, 2014"
 .SH NAME
 iswalpha, isenglish, isideogram, iswideogram, isnumber, iswnumber,
 isphonogram, iswphonogram, isspecial, iswspecial, iswalnum, iswascii,
@@ -26,219 +27,174 @@
 
 \fBint\fR \fBiswalpha\fR(\fBwint_t\fR \fIwc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBisenglish\fR(\fBwint_t\fR \fIwc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBisideogram\fR(\fBwint_t\fR \fIwc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBisnumber\fR(\fBwint_t\fR \fIwc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBisphonogram\fR(\fBwint_t\fR \fIwc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBisspecial\fR(\fBwint_t\fR \fIwc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBiswalnum\fR(\fBwint_t\fR \fIwc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBiswascii\fR(\fBwint_t\fR \fIwc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBiswblank\fR(\fBwint_t\fR \fIwc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBiswcntrl\fR(\fBwint_t\fR \fIwc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBiswdigit\fR(\fBwint_t\fR \fIwc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBiswgraph\fR(\fBwint_t\fR \fIwc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBiswlower\fR(\fBwint_t\fR \fIwc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBiswprint\fR(\fBwint_t\fR \fIwc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBiswpunct\fR(\fBwint_t\fR \fIwc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBiswspace\fR(\fBwint_t\fR \fIwc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBiswupper\fR(\fBwint_t\fR \fIwc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBiswxdigit\fR(\fBwint_t\fR \fIwc\fR);
 .fi
-
 .LP
 .nf
+\fBint\fR \fBiswhexnumber\fR(\fBwint_t\fR \fIwc\fR);
+.fi
+.LP
+.nf
 \fBint\fR \fBiswideogram\fR(\fBwint_t\fR \fIwc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBiswnumber\fR(\fBwint_t\fR \fIwc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBiswphonogram\fR(\fBwint_t\fR \fIwc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBiswspecial\fR(\fBwint_t\fR \fIwc\fR);
 .fi
-
-XXX
-
 .LP
 .nf
-\fBint\fR \fBiswalpha\fR(\fBwint_t\fR \fIwc\fR, \fBlocale_t\fR \fIloc\fR);
+\fBint\fR \fBiswalpha_l\fR(\fBwint_t\fR \fIwc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .LP
 .nf
-\fBint\fR \fBiswideogram\fR(\fBwint_t\fR \fIwc\fR, \fBlocale_t\fR \fIloc\fR);
+\fBint\fR \fBiswideogram_l\fR(\fBwint_t\fR \fIwc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .LP
 .nf
-\fBint\fR \fBiswnumber\fR(\fBwint_t\fR \fIwc\fR, \fBlocale_t\fR \fIloc\fR);
+\fBint\fR \fBiswnumber_l\fR(\fBwint_t\fR \fIwc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .LP
 .nf
-\fBint\fR \fBiswphonogram\fR(\fBwint_t\fR \fIwc\fR, \fBlocale_t\fR \fIloc\fR);
+\fBint\fR \fBiswphonogram_l\fR(\fBwint_t\fR \fIwc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .LP
 .nf
-\fBint\fR \fBiswspecial\fR(\fBwint_t\fR \fIwc\fR, \fBlocale_t\fR \fIloc\fR);
+\fBint\fR \fBiswspecial_l\fR(\fBwint_t\fR \fIwc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .LP
 .nf
-\fBint\fR \fBiswalnum\fR(\fBwint_t\fR \fIwc\fR, \fBlocale_t\fR \fIloc\fR);
+\fBint\fR \fBiswalnum_l\fR(\fBwint_t\fR \fIwc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .LP
 .nf
-\fBint\fR \fBiswascii\fR(\fBwint_t\fR \fIwc\fR, \fBlocale_t\fR \fIloc\fR);
+\fBint\fR \fBiswascii_l\fR(\fBwint_t\fR \fIwc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .LP
 .nf
-\fBint\fR \fBiswblank\fR(\fBwint_t\fR \fIwc\fR, \fBlocale_t\fR \fIloc\fR);
+\fBint\fR \fBiswblank_l\fR(\fBwint_t\fR \fIwc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .LP
 .nf
-\fBint\fR \fBiswcntrl\fR(\fBwint_t\fR \fIwc\fR, \fBlocale_t\fR \fIloc\fR);
+\fBint\fR \fBiswcntrl_l\fR(\fBwint_t\fR \fIwc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .LP
 .nf
-\fBint\fR \fBiswdigit\fR(\fBwint_t\fR \fIwc\fR, \fBlocale_t\fR \fIloc\fR);
+\fBint\fR \fBiswdigit_l\fR(\fBwint_t\fR \fIwc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .LP
 .nf
-\fBint\fR \fBiswgraph\fR(\fBwint_t\fR \fIwc\fR, \fBlocale_t\fR \fIloc\fR);
+\fBint\fR \fBiswgraph_l\fR(\fBwint_t\fR \fIwc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .LP
 .nf
-\fBint\fR \fBiswlower\fR(\fBwint_t\fR \fIwc\fR, \fBlocale_t\fR \fIloc\fR);
+\fBint\fR \fBiswlower_l\fR(\fBwint_t\fR \fIwc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .LP
 .nf
-\fBint\fR \fBiswprint\fR(\fBwint_t\fR \fIwc\fR, \fBlocale_t\fR \fIloc\fR);
+\fBint\fR \fBiswprint_l\fR(\fBwint_t\fR \fIwc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .LP
 .nf
-\fBint\fR \fBiswpunct\fR(\fBwint_t\fR \fIwc\fR, \fBlocale_t\fR \fIloc\fR);
+\fBint\fR \fBiswpunct_l\fR(\fBwint_t\fR \fIwc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .LP
 .nf
-\fBint\fR \fBiswspace\fR(\fBwint_t\fR \fIwc\fR, \fBlocale_t\fR \fIloc\fR);
+\fBint\fR \fBiswspace_l\fR(\fBwint_t\fR \fIwc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBiswupper\fR(\fBwint_t\fR \fIwc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBiswxdigit\fR(\fBwint_t\fR \fIwc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
-#include <xlocale.h>
-
 .LP
 .nf
-\fBint\fR \fBiswhexnumber\fR(\fBwint_t\fR \fIwc\fR);
-.fi
+#include <xlocale.h>
 
-.LP
-.nf
 \fBint\fR \fBiswhexnumber\fR(\fBwint_t\fR \fIwc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
 
 .SH DESCRIPTION
-.sp
 .LP
 These functions test whether \fIwc\fR is a wide-character code representing a
 character of a particular class defined in the \fBLC_CTYPE\fR category of the
-current locale as determined by \fBsetlocale\fR(3C) and
-\fBuselocale\fR(3C).
-.sp
+current locale or the locale specified by \fIloc\fR.
 .LP
 The functions \fBiswalpha_l()\fR, \fBiswideogram_l()\fR, \fBiswnumber_l()\fR,
 \fBiswphonogram_l()\fR, \fBiswspecial_l()\fR, \fBiswalnum_l()\fR,
@@ -247,13 +203,11 @@
 \fBiswspace_l()\fR, \fBiswupper_l()\fR, all behave identically to their
 counterparts without the '\fB_l\fR' suffix, but instead of operating on the
 current locale, they operate on the locale specified by \fIloc\fR.
-.sp
 .LP
 The functions, \fBiswideogram()\fR, \fBiswnumber()\fR, \fBiswphonogram()\fR,
 \fBiswspecial()\fR, and \fBiswhexnumber()\fR, are respectively identical to
 \fBisideogram()\fR, \fBisnumber()\fR, \fBisphonogram()\fR, \fBisspecial()\fR,
 \fBiswxdigit()\fR respectively.  They are provided for compatability purposes.
-.sp
 .LP
 In all cases, \fIwc\fR is a \fBwint_t\fR, the value of which must be a
 wide-character code corresponding to a valid character in the current locale or
@@ -444,29 +398,24 @@
 .sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
 .TS
 box;
-l | l
+c | c
 l | l .
 ATTRIBUTE TYPE	ATTRIBUTE VALUE
 _
 CSI	Enabled
 _
-Interface Stability	See  below.
+Interface Stability	See below.
 _
-MT-Level	MT-Safe with exceptions
+MT-Level	MT-Safe
 .TE
 
-.sp
 .LP
 The \fBiswalpha()\fR, \fBiswalnum()\fR, \fBiswblank()\fR, \fBiswcntrl()\fR,
 \fBiswdigit()\fR, \fBiswgraph()\fR, \fBiswlower()\fR, \fBiswprint()\fR,
 \fBiswpunct()\fR, \fBiswspace()\fR, \fBiswupper()\fR, and \fBiswxdigit()\fR
 functions are Standard.
-.sp
 .LP
 The \fBiswalpha_l()\fR, \fBiswalnum_l()\fR, \fBiswblank_l()\fR, \fBiswcntrl_l()\fR,
 \fBiswdigit_l()\fR, \fBiswgraph_l()\fR, \fBiswlower_l()\fR, \fBiswprint_l()\fR,
@@ -473,7 +422,7 @@
 \fBiswpunct_l()\fR, \fBiswspace_l()\fR, and \fBiswupper_l()\fR
 functions are Standard.
 .SH SEE ALSO
-.sp
 .LP
-\fBlocaledef\fR(1), \fBsetlocale\fR(3C), \fBstdio\fR(3C), \fBuselocale\fR(3C),
+\fBlocaledef\fR(1), \fBnewlocale\fR(3C),
+\fBsetlocale\fR(3C), \fBstdio\fR(3C), \fBuselocale\fR(3C),
 \fBascii\fR(5), \fBattributes\fR(5), \fBstandards\fR(5)
